Next: GETPID, Previous: GETGID, Up: Intrinsic Procedures [Contents][Index]

### 9.128 `GETLOG` — Get login name

Description:

  Gets the username under which the program is running.

Standard:

  GNU extension

Class:

  Subroutine

Syntax:

  `CALL GETLOG(C)`

Arguments:

  C | Shall be of type `CHARACTER` and of default kind.

Return value:

  Stores the current user name in LOGIN. (On systems where POSIX functions `geteuid` and `getpwuid` are not available, and the `getlogin` function is not implemented either, this will return a blank string.)

Example:

      PROGRAM TEST_GETLOG
        CHARACTER(32) :: login
        CALL GETLOG(login)
        WRITE(*,*) login
      END PROGRAM

See also:

  GETUID